#include "descriptor/descriptor.h"

int main(void){
	ITEM Azzurro_Plastica, Giallo_Scarpa, Plastica_Testa, Bianco_Mano, Piano_Legno;
	ITEM Vetro_Luce, Lamp, Body, Mani, Scarpe, Testa, Luce, Piano;

  set_background(0,0,0,TRUE);
  set_ambient_light(0,0,0,1);
  create_point_light(5.2,5.5,1.8,1,1,1,1,0, "Luce1");
  create_point_light(-9,8.2,2.7,1,1,1,1,20, "Luce2");
  create_point_light(0.4,-6.5,4,1,1,1,1.7,20, "light3");

  Azzurro_Plastica = create_attribute("Azzurro_Plastica");
  set_color(Azzurro_Plastica,0.7,0.8,1,0.24,0.66);
  set_reflectivity(Azzurro_Plastica,0.15,2);

  Giallo_Scarpa = create_attribute("Giallo_Scarpa");
  set_color(Giallo_Scarpa,1,0.75,0.22,0.17,0.8);
  set_reflectivity(Giallo_Scarpa,0.12,50);

  Vetro_Luce = create_attribute("Vetro_Luce");
  set_color(Vetro_Luce,0.92,0.93,1,0.6,0.69);
  set_reflectivity(Vetro_Luce,0.4,200);
  set_transparency(Vetro_Luce,0.96,0.67,100,1.2);

  Plastica_Testa = create_attribute("Plastica_Testa");
  set_color(Plastica_Testa,0.95,0.92,1,0.75,0.75);
  set_reflectivity(Plastica_Testa,0.24,200);
  set_transparency(Plastica_Testa,0.93,0.67,100,1.01);

  Bianco_Mano = create_attribute("Bianco_Mano");
  set_color(Bianco_Mano,1,1,1,0.05,1);
  set_reflectivity(Bianco_Mano,0.03,5);

  Piano_Legno = create_attribute("Piano_Legno");
  set_color(Piano_Legno,0,0,0,0.05,0);
  set_reflectivity(Piano_Legno,0.03,5);

  Testa = read_nurbs("surfTESTA.db");
  set_attribute(Testa, Plastica_Testa);

  Luce = read_nurbs("surfLUCE.db");
  set_attribute(Luce, Vetro_Luce);

  Piano = read_nurbs("surfTABLE.db");
  set_projection_texture(Piano,Piano_Legno,"textures/wood1.hr",2,TRUE,0.2,0.8);

  Body = read_obj("_CORPO.obj", "Body");
  set_attribute(Body, Azzurro_Plastica);
  Mani = read_obj("_MANI.obj", "Mani");
  set_attribute(Mani, Bianco_Mano);
  Scarpe = read_obj("_SCARPE.obj", "Scarpe");
  set_attribute(Scarpe, Giallo_Scarpa);

  Lamp = create_list(Testa, "Lamp");
  Lamp = insert_in_list(Lamp,Luce);
  Lamp = insert_in_list(Lamp,Piano);
  Lamp = insert_in_list(Lamp,Body);
  Lamp = insert_in_list(Lamp,Mani);
  Lamp = insert_in_list(Lamp,Scarpe);

  save_scene("lamp.md","Lamp",Lamp);
  return(0);
}
